%global momorel 1
%define tarball xf86-video-nouveau
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir %{moduledir}/drivers
%global gitdate 20080915

Summary:   Xorg X11 nVidia Open Source 3D acceleration Driver
Name:      xorg-x11-drv-nouveau
Version:   0.0.0
Release:   0.%{gitdate}.%{momorel}m%{?dist}
URL:       http://nouveau.freedesktop.org/wiki/
%global xorgurl http://xorg.freedesktop.org/releases/individual
#Source0: %{xorgurl}/driver/%{tarball}-%{version}.tar.bz2
#NoSource: 0
Source0: xf86-video-nouveau-%{gitdate}.tar.bz2
License:   MIT/X
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch: %{ix86} x86_64 ia64 ppc ppc64 alpha sparc sparc64

BuildRequires: pkgconfig
BuildRequires: xorg-x11-server-devel >= 1.4
BuildRequires: mesa-libGL-devel >= 6.5.2-5

Requires:  xorg-x11-server-Xorg >= 1.0.99.901

%description 
X.Org X11 Open Source 3D acceleration for nVidia cards

%prep
%setup -q -n %{tarball}

%build
./autogen.sh
%configure --disable-static
%make

%install
rm -rf --preserve-root %{buildroot}

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%{driverdir}/nouveau_drv.so
%{_mandir}/man4/nouveau.4*

%changelog
* Mon Sep 15 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.0.0-0.20080914-1m)
- update git-20080914

* Mon Jul 14 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.0.0-0.20080714-1m)
- update git-20080714

* Thu Jul  3 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.0-0.20080703-1m)
- update git-20080703

* Sun May  4 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.0-0.20080504-1m)
- update git-20080504
- change BPR xorg-x11-server-sdk to xorg-x11-server-devel

* Sun Apr 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.0-0.20080413-1m)
- update 20080413

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.0-0.20080304.2m)
- rebuild against gcc43

* Tue Mar  3 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.0-0.20080304-1m)
- update 20080304

* Mon Jan 28 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.0-0.20080128-1m)
- update 20080128

* Sun Jan  4 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.0-0.20080106-1m)
- update 20080106

* Fri Sep 14 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.0-0.20070418-2m)
- rebuild against xorg-x11-server-1.4

* Thu Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.0-0.20070418-1m)
- update 20070418

* Sat Mar  3 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.0-0.20070303-1m)
- update 20070303

* Thu Jan 11 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.0-0.20070110-1m)
- update 20070110

* Mon Jan  1 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.0-0.20061231-1m)
- Initial Commit

